Package org.apache.naming.factory

## Class ResourceLinkFactory

- java.lang.Object
- - org.apache.naming.factory.ResourceLinkFactory

All Implemented Interfaces:
  `javax.naming.spi.ObjectFactory`

Direct Known Subclasses:
  `DataSourceLinkFactory`

    public class ResourceLinkFactory
    extends java.lang.Object
    implements javax.naming.spi.ObjectFactory

Object factory for resource links.

Author:
  Remy Maucherat

### Field Summary

Fields
`protected static StringManager` `sm`

### Constructor Summary

Constructors
`ResourceLinkFactory()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `deregisterGlobalResourceAccess​(javax.naming.Context globalContext)`
`static void` `deregisterGlobalResourceAccess​(javax.naming.Context globalContext, java.lang.String localName)`
`java.lang.Object` `getObjectInstance​(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,​?> environment)` Create a new DataSource instance.
`static void` `registerGlobalResourceAccess​(javax.naming.Context globalContext, java.lang.String localName, java.lang.String globalName)`
`static void` `setGlobalContext​(javax.naming.Context newGlobalContext)` Set the global context (note: can only be used once).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

### Constructor Detail

#### ResourceLinkFactory

    public ResourceLinkFactory()

### Method Detail

#### setGlobalContext

    public static void setGlobalContext​(javax.naming.Context newGlobalContext)

Set the global context (note: can only be used once).

Parameters:
  `newGlobalContext` - new global context value

#### registerGlobalResourceAccess

    public static void registerGlobalResourceAccess​(javax.naming.Context globalContext,
                                                    java.lang.String localName,
                                                    java.lang.String globalName)

#### deregisterGlobalResourceAccess

    public static void deregisterGlobalResourceAccess​(javax.naming.Context globalContext,
                                                      java.lang.String localName)

#### deregisterGlobalResourceAccess

    public static void deregisterGlobalResourceAccess​(javax.naming.Context globalContext)

#### getObjectInstance

    public java.lang.Object getObjectInstance​(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable<?,​?> environment)
                                       throws javax.naming.NamingException

Create a new DataSource instance.

Specified by:
  `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
Parameters:
  `obj` - The reference object describing the DataSource
Throws:
  `javax.naming.NamingException`